QGIS Application - Feature request #10547
Print composer frame & annotation issues
2014-06-11 09:56 AM - Brent Wood

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18954
Description

When labeling a map frame, you need to enable a grid, whether or not a grid is desired. To get a frame labeled with coordinates & no grid,
the grid size must be set to zero, which is counter intuitive. The user should be able to enable grids and labels separately, and grids
should be able to be a finer resolutions than labels - eg 1 degree labels & 1/2 degree grid. In such cases the grid should align with a zebra
frame, with a label at every second grid.

The frame style is currently either zebra or none, it should support a solid line for the frame as well.

The grid should be able to be set to frame ticks only where a simple frame is used (they are implicit in a zebra frame), optionally internal
or external, with the length & line style (width) user selectable.

When the units are degrees, frame annotation should be able to be set to NESW suffixes instead of + (implied) & - (negative) ie: negative
lats should be DD.ddS & longs between 0 & 180 should be E, those between -180 & 0, or 180 & 360 should be W, using a 0-180 value.
labels for 0, 180 & 360 should have no suffix.

Note: Funding for implementing these enhancements may be available.

History

#1 - 2014-06-11 09:57 AM - Giovanni Manghi
- OS version deleted (All)
- Operating System deleted (All)

- Assignee set to Nyall Dawson

#2 - 2014-06-11 01:08 PM - Nyall Dawson

@pcreso - Are you able to send me an email at nyall.dawson@gmail.com to discuss this further? | can send through a quote for you for these requested

enhancements.

#3 - 2014-10-27 01:12 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed
